# org.eclipse.ecf.core

## Interfaces

- IContainer
- IContainerFactory
- IContainerListener
- IContainerManager
- IContainerManagerListener
- IReliableContainer

## Classes

- AbstractContainer
- AbstractContainerAdapterFactory
- BaseContainer
- BaseContainer.Instantiator
- ContainerFactory
- ContainerTypeDescription

## Exceptions

- ContainerAuthenticationException
- ContainerConnectException
- ContainerCreateException